Page MenuHomePhabricator

In iOS Safari, after opening the hamburger menu, clicking on the greyed-out article doesn't close the hamburger menu
Closed, ResolvedPublic

Description

Tested in local master and English Wikipedia in both iOS 8 and 6.

Event Timeline

kaldari created this task.Apr 30 2015, 1:50 AM
kaldari updated the task description. (Show Details)
kaldari raised the priority of this task from to High.
kaldari added a subscriber: kaldari.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2015, 1:50 AM
phuedx claimed this task.
phuedx set Security to None.
phuedx removed phuedx as the assignee of this task.
phuedx added a subscriber: phuedx.

Moved this over to Doing prematurely.

phuedx claimed this task.

The .transparent-shield element doesn't seem to be bubbling click events.

Change 208953 had a related patch set uploaded (by Phuedx):
Revert "Append drawers to body so they can work in other skins"

https://gerrit.wikimedia.org/r/208953

According to git bisect this regression was caused by 203242.

@Jdlrobson: I'm unsure of blanket reverting the change. What do you think?

phuedx added a comment.May 5 2015, 7:18 PM

There's an ominous remark about changing #mw-mf-viewport to body in Overlay.js.

phuedx reassigned this task from phuedx to Jdlrobson.May 5 2015, 7:37 PM

Change 209047 had a related patch set uploaded (by Jdlrobson):
Allow ios users to close the main menu

https://gerrit.wikimedia.org/r/209047

Change 208953 abandoned by Jdlrobson:
Revert "Append drawers to body so they can work in other skins"

Reason:
See https://gerrit.wikimedia.org/r/#/c/209047/

https://gerrit.wikimedia.org/r/208953

Change 209047 merged by jenkins-bot:
Allow ios users to close the main menu

https://gerrit.wikimedia.org/r/209047

phuedx added a comment.EditedMay 6 2015, 8:53 AM

This is a symptom of T98200.

phuedx closed this task as Resolved.

I've tested the main menu in the iOS simulator locally.

Change 209322 had a related patch set uploaded (by Robmoen):
Allow ios users to close the main menu

https://gerrit.wikimedia.org/r/209322

Change 209323 had a related patch set uploaded (by Robmoen):
Allow ios users to close the main menu

https://gerrit.wikimedia.org/r/209323

Change 209322 abandoned by Robmoen:
Allow ios users to close the main menu

https://gerrit.wikimedia.org/r/209322

Change 209323 merged by jenkins-bot:
Allow ios users to close the main menu

https://gerrit.wikimedia.org/r/209323